import DataStructures.*;
import Exceptions.*;

// Simple test program for hash tables

public final class TestHashTable
{
    public static void main( String [ ] args )
    {
        HashTable h = new QuadraticProbingTable( );
        MyString result = null;

        h.insert( new MyString( new String( "Becky" ) ) );

        try
        {
            result = (MyString) h.find( new MyString( "Becky" ) );
            System.out.println( "Found " + result );
        }
        catch( ItemNotFound e )
          { System.out.println( "Becky not found" ); }
    }
}